Subject: RFC: Change whatchanged to report changes from merges by default?

From: Mark Burton <[email-masked]>
Date: Sat, 20 Dec 2008 10:42:32 +0000

Hi,

Is it just an accident of history or by design that whatchanged
requires the -m option to show changes introduced by merges but
diff and git log show those changes without requiring any extra
options?

Would it not make more sense to have git whatchanged show the changes
introduced by merges by default and then people can use the (already
supported) --no-merges option to suppress that behaviour?

It appears that just setting rev.ignore_merges to 0 in cmd_whatchanged()
would do the trick. Shall I submit a patch?

Mark